## vdr-plugin-dvd 0.3.6~b03

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id$
+# $Id: Makefile,v 1.3 2004/06/17 05:33:40 sven Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -16,7 +16,8 @@
 ### The C++ compiler and options:
 
 CXX      ?= g++
-CXXFLAGS ?= -O2 -Wall -Woverloaded-virtual
+CXXFLAGS ?= -O3 -Wall -Woverloaded-virtual
+LDFLAGS  ?= $(CXXFLAGS)
 
 ### The directory environment:
 
@@ -45,6 +46,11 @@
 
 DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
 
+# to use xine videoout:
+ifdef POLLTIMEOUTS_BEFORE_DEVICECLEAR
+DEFINES += -DPOLLTIMEOUTS_BEFORE_DEVICECLEAR=$(POLLTIMEOUTS_BEFORE_DEVICECLEAR)
+endif
+
 LIBS = -ldvdnav -la52
 
 ifdef DJBFFT
@@ -53,14 +59,15 @@
 
 ifdef DBG
 CXXFLAGS += -g -ggdb -O0
+LDFLAGS  += -g -ggdb -O0
 else
-CXXFLAGS += -O2
-LDFLAGS  += -Wl,--retain-symbols-file,retain-sym
+CXXFLAGS += -O3
+LDFLAGS  += -O3 -Wl,--retain-symbols-file,retain-sym
 endif
 
 ### The object files (add further files here):
 
-OBJS = $(PLUGIN).o dvddev.o player-dvd.o control-dvd.o spu.o     \
+OBJS = $(PLUGIN).o dvddev.o player-dvd.o control-dvd.o dvdspu.o     \
 	           ca52.o i18n.o setup-dvd.o 
 
 ### Implicit rules:
@@ -82,7 +89,7 @@
 all: libvdr-$(PLUGIN).so
 
 libvdr-$(PLUGIN).so: $(OBJS) retain-sym
-	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) $(LIBS) -o $@
+	$(CXX) $(LDFLAGS) -shared $(OBJS) $(LIBS) -o $@
 	@cp $@ $(LIBDIR)/$@.$(VDRVERSION)
 
 dist: clean
