=== debian/changelog ===
vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-28build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:01:56 +0100

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-28) unstable; urgency=medium

  * Standards-Version: 4.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 Nov 2019 13:19:31 +0100

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-27) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Use the host architecture pkg-config. (Closes: #933198)

  [ Tobias Grimm ]
  * Standards-Version: 4.4.0

 -- Tobias Grimm <etobi@debian.org>  Sun, 28 Jul 2019 20:34:36 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-26) unstable; urgency=medium

  * Build-depend on vdr-dev >= 2.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 19 Jul 2019 07:27:51 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-25) unstable; urgency=medium

  * VCS moved to salsa.debian.org
  * Replaced priority extra with optional
  * Build-depend on vdr-dev (>= 2.4.0)
  * Fixed spelling error in patch description

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Apr 2018 19:04:22 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-24) unstable; urgency=medium

  * Build-depend on vdr-dev >= 2.3.8
  * Standards-Version: 3.9.8

 -- Tobias Grimm <etobi@debian.org>  Wed, 16 Aug 2017 23:00:08 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-23) unstable; urgency=medium

  * Now supporting the /etc/vdr/conf.d mechanism

 -- Tobias Grimm <etobi@debian.org>  Mon, 23 Mar 2015 20:07:39 +0100

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-22) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.2.0)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Feb 2015 12:39:31 +0100

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-21) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.1.10)
  * Standards-Version: 3.9.6
  * Added vdr 2.1.x compatibility patch from Lars Hanisch / yaVDR

 -- Tobias Grimm <etobi@debian.org>  Mon, 16 Feb 2015 22:41:23 +0100

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-20) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.0.6)
  * Standards-Version: 3.9.5

 -- Tobias Grimm <etobi@debian.org>  Sun, 26 Oct 2014 14:06:18 +0100

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-19) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 14:00:02 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-18) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:48:05 +0100

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-17) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 19:44:18 +0100

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-16) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.40)

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Mar 2013 18:50:35 +0100

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-15) unstable; urgency=low

  * Debhelper 9
  * Build-depend on vdr-dev (>= 1.7.39)

 -- Tobias Grimm <etobi@debian.org>  Tue, 05 Mar 2013 19:38:05 +0100

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-14) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.28)

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Jun 2012 13:13:59 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-13) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.27)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Apr 2012 23:03:12 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-12) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.26)
  * Standards-Version: 3.9.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 25 Mar 2012 13:35:52 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-11) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.23)

 -- Tobias Grimm <etobi@debian.org>  Sun, 29 Jan 2012 19:05:15 +0100

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-10) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.22)
  * When including dvdnvav.h define/undefine the "this" keyword, used in
    dvdnav.h (Closes: #642673)

 -- Tobias Grimm <etobi@debian.org>  Mon, 12 Dec 2011 20:22:27 +0100

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-9) unstable; urgency=low

  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 20:09:34 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-8) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.21)

 -- Tobias Grimm <etobi@debian.org>  Sun, 18 Sep 2011 18:23:54 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-7) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.20)
  * Standards-Version: 3.9.2

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Aug 2011 15:25:38 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-6) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.19)
  * Fixed package description

 -- Tobias Grimm <etobi@debian.org>  Sun, 19 Jun 2011 22:31:49 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.18)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 20:06:35 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-4) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.7.17
  * Updated debian/copyright
  * Standards-Version: 3.9.1
  * Switched to debhelper 7 and dropped cdbs

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Apr 2011 17:21:23 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-3) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.6.0-16
  * Bumped standards version to 3.8.4
  * Minor debian/copyright update

 -- Tobias Grimm <etobi@debian.org>  Sun, 28 Mar 2010 14:54:26 +0200

vdr-plugin-dvd (0.3.6~b03+cvs20090426.0013-2) unstable; urgency=low

  * Removed non-standard shebang line from debian/rules (Closes: #552640)
  * Added README.source
  * Standards-Version: 3.8.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 08 Nov 2009 23:20:21 +0100


