=== debian/control ===
Source: vdr-plugin-dvd
Section: video
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 9),
 vdr-dev (>= 2.4.1),
 pkg-config,
 gettext,
 libdvdnav-dev (>=4.1.2-3),
 liba52-0.7.4-dev
Standards-Version: 4.4.1
Homepage: http://sourceforge.net/projects/dvdplugin
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-dvd.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-dvd

Package: vdr-plugin-dvd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Suggests: libdvdcss2
Description: DVD playback plugin for VDR
 This plugin for VDR allows one to play back DVD Video discs
 from within VDR.
