=== debian/watch ===
version=3
opts="uversionmangle=s/_/\~/g" \
    http://sf.net/dvdplugin/vdr-dvd-(.*)\.(?:tgz|tar|bz2)
