=== debian/changelog ===
vdr-plugin-dvd (0.3.6~b03+git20211216-2) unstable; urgency=medium

  * Remove Thomas Günther and Thomas Schmidt from uploaders
  * Build-depend on vdr 2.6.0 and update standards version to 4.6.0

 -- Tobias Grimm <etobi@debian.org>  Thu, 06 Jan 2022 19:07:51 +0100

vdr-plugin-dvd (0.3.6~b03+git20211216-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 7d45582)
  * Project moved to community maintained GitHub site
  * Depend on debhelper-compat (= 13)
  * Build-Depend on vdr >= 2.4.7
  * New upstream version 0.3.6~b03+git20211216
  * Fix FTCBFS: Use the host architecture pkg-config

 -- Tobias Grimm <etobi@debian.org>  Thu, 16 Dec 2021 22:10:52 +0100
