=== debian/control ===
Source: vdr-plugin-dvd
Section: video
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>
Build-Depends: debhelper-compat (= 13),
 vdr-dev (>= 2.6.0),
 pkg-config,
 gettext,
 libdvdnav-dev (>=4.1.2-3),
 liba52-0.7.4-dev
Standards-Version: 4.6.0
Homepage: https://github.com/vdr-projects/vdr-plugin-dvd
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-dvd.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-dvd

Package: vdr-plugin-dvd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Suggests: libdvdcss2
Description: DVD playback plugin for VDR
 This plugin for VDR allows one to play back DVD Video discs
 from within VDR.
