=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/vdr-plugin-dvd-$1\.tar\.gz/ \
  https://github.com/vdr-projects/vdr-plugin-dvd/tags .*/v?(\d\S+)\.tar\.gz
