## vdr-plugin-dvd 0.3.7

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,8 @@
 
 ### The directory environment:
 
-PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
+PKG_CONFIG ?= pkg-config
+PKGCFG = $(if $(VDRDIR),$(shell $(PKG_CONFIG) --variable=$(1) $(VDRDIR)/vdr.pc),$(shell $(PKG_CONFIG) --variable=$(1) vdr || $(PKG_CONFIG) --variable=$(1) ../../../vdr.pc))
 LIBDIR = $(DESTDIR)$(call PKGCFG,libdir)
 LOCDIR = $(DESTDIR)$(call PKGCFG,locdir)
 
@@ -59,6 +60,10 @@
 else
 CXXFLAGS += -O3
 LDFLAGS  += -O3 -Wl,--retain-symbols-file,retain-sym
+endif
+
+ifdef RESUMEDIR
+  DEFINES += -DRESUMEDIR=\"$(RESUMEDIR)\"
 endif
 
 ### The object files (add further files here):
