=== debian/changelog ===
vdr-plugin-dvd (0.3.7-1) unstable; urgency=medium

  * New upstream version 0.3.7
  * update my uploader address
  * update und remove obsolete patches

 -- Christoph Martin <chrism@debian.org>  Thu, 13 Mar 2025 18:56:11 +0100

vdr-plugin-dvd (0.3.6~b03+git20211216-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libdvdnav-dev.
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.6.2, no changes needed.

  [ Christoph Martin ]
  * fix clean target
  * add myself as uploader
  * change build-depends from pkg-config to pkgconf

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 06 Feb 2025 23:04:27 +0100
