=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: video
 Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
-Uploaders: Tobias Grimm <etobi@debian.org>
+Uploaders: Tobias Grimm <etobi@debian.org>,
+ Christoph Martin <chrism@debian.org>
 Build-Depends: debhelper-compat (= 13),
  vdr-dev (>= 2.6.0),
- pkg-config,
+ pkgconf,
  gettext,
- libdvdnav-dev (>=4.1.2-3),
+ libdvdnav-dev,
  liba52-0.7.4-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/vdr-projects/vdr-plugin-dvd
 Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-dvd.git
 Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-dvd
