=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with vdrplugin

override_dh_auto_clean:
	dh_auto_clean
	-rm -f retain-sym

get-vcs-snapshot:
	sh debian/get-vcs-snapshot.sh
